Document structure/ro: Difference between revisions

From FreeCAD Documentation
(Initial romanian translation)
 
(Updating to match new version of source page)
Line 1: Line 1:
[[Image:Screenshot treeview.jpg|left]]
[[Image:Screenshot treeview.jpg|left]]
A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.
Un document FreeCAD contine toate obiectele din scena. Poate contine grupuri si obiecte realizate cu oricare paleta.Ca urmare paletele pot fi schimbate fara a parasi documentul. Continutul documentului este cel salvat pe disc. Mai multe documente pot fi deschise in acelasi timp si mai multe vizualizari al aceluiasi document pot fi deschise in acelasi timp.


Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.
Inauntrul documentului obiectele pot fi mutate in grupuri si au un nume unic. Administrarea obiectelor, a grupurilor de obiecte si a numelor obiectelor se face in primul rand dn vizualizarea arborescenta. Toate acestea pot fi realizate ca orice altceva in FreeCAD, folosind script-uri Python. In vizualizarea arborescenta se pot crea grupuri, muta obiecte in grupuri, sterge obiecte sau grupuri folosind meniul contextual (click dreapta cu mouse-ul). Redenumirea obiectelor se face cu dublu-click pe obiect. Este posibil sa existe si alte actiuni permise in functie de tipul obiectului si paleta curenta.


Obiectele din documentul FreeCAD pot avea diferite tipuri. Fiecarepaleta poate crea propriile tipuri de obiecte (de exemplu [[Mesh Workbench/ro|Paleta Retele]] creaza obiecte retea, paleta [[Part Workbench/ro||paleta Parti]] poate crea piese, [[Draft Workbench/ro|Paleta Ciorne]] poate crea si ea piese, etc.
The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.


Daca este cel putin un document deschis in FreeCAD, atunci exact un document este activ. Acesta este documentul care apare in vizualizarea 3D curenta, documentul cu care lucrati in mod curent.
If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.


==Application and User Interface==
==Aplicatia si Interfata cu Utilizatorul==


Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.
Ca orice altceva in FreeCAD, partea de interfata cu utilizatorul (GUI) sete separata de partea de aplicatie (App). Acest lucru este adevarat si pentru documente. Acestea sun si ele alcatuite din doua parti: partea de aplicatie, ce contine obiecte, si partea de vizualizare, ce contine reprezentarea grafca a obiectelor.


Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.
Ganditi-va la aceasta arhitectura ca la doua spatii unde obiectele sunt definite. Parametrii constructivi (este un cub? un con? ce dimensiuni are?) sunt stocati in partea de App, pe cand reprezentarea grafica (liniile au culoarea neagra? fetele sunt albastre?) este stocata in partea Gui. De ce aceasta separare? Pentr ca FreeCAD poate fi folosit si fara interfata grafica, de exemplu in interiorul altor programe, si trebuie sa putem manipula obiectele chiar daca nimic nu este desenat pe ecran.


Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.
O alta parte ce este stocata in partea de grafica sunt vizualizarile 3D. Un document poate avea mai multe vizualizari deschise in acelasi timp astfel ca sa puteti examina continutul documentului din mai multe puncte de vedere in acelasi timp. Poate doriti sa vedeti in acelasi timp imaginea de sus si din fata in acelasi timp? In acest caz trebuie sa folositi doua vizualizari stocate in partea grafica ce pot fi create in meniul Vizualizare sau prin click-dreapta pe un tab de vizualizare.


==Scriptarea==
==Scripting==


Documents can be easily created, accessed and modified from the python interpreter. For example:
Documentele pot fi usor create, accesate si modificate de la interpretorul Python. De exemplu:
FreeCAD.ActiveDocument
FreeCAD.ActiveDocument
Will return the current (active) document
O sa dea documentl curent
FreeCAD.ActiveDocument.Blob
FreeCAD.ActiveDocument.Blob
Would access an object called "Blob" inside your document
O sa acceseze un document numit "Blob" inauntrul documentului activ
FreeCADGui.ActiveDocument
FreeCADGui.ActiveDocument
Will return the view document associated to the current document
O sa dea partea grafica asociata cu documentul activ
FreeCADGui.ActiveDocument.Blob
FreeCADGui.ActiveDocument.Blob
Would access the graphical representation (view) part of our Blob object
O sa acceseze partea grafica a obiectului "Blob"
FreeCADGui.ActiveDocument.ActiveView
FreeCADGui.ActiveDocument.ActiveView
Will return the current view
O sa dea vizualizarea activa


{{docnav/ro|Mouse Model/ro|Preferences Editor/ro}}
{{docnav|Mouse Model|Preferences Editor}}


[[Category:User Documentation]]
{{languages/ro | {{en|Document structure}} {{cn|Document structure/cn}} {{de|Document structure/de}} {{es|Document structure/es}} {{fr|Document structure/fr}} {{it|Document structure/it}} {{jp|Document structure/jp}} {{pl|Document structure/pl}} {{ru|Document structure/ru}} {{se|Document structure/se}} }}
<languages/>

[[Category:User Documentation/ro]]

Revision as of 22:11, 29 November 2013

A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.

Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.

The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the Mesh Workbench creates mesh objects, the Part Workbench create Part objects, the Draft Workbench also creates Part objects, etc.

If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.

Application and User Interface

Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.

Scripting

Documents can be easily created, accessed and modified from the python interpreter. For example:

FreeCAD.ActiveDocument

Will return the current (active) document

FreeCAD.ActiveDocument.Blob

Would access an object called "Blob" inside your document

FreeCADGui.ActiveDocument

Will return the view document associated to the current document

FreeCADGui.ActiveDocument.Blob

Would access the graphical representation (view) part of our Blob object

FreeCADGui.ActiveDocument.ActiveView

Will return the current view

Mouse Model
Preferences Editor